<?php

class Bluedart extends Shipping
{ 
	private $bluedartKey;
   	public function __construct($bluedartKey='')
	{
		if($bluedartKey!='')
		{
			$this->bluedartKey	=	$bluedartKey;
			require_once($this->bluedartKey.".php");
		}
		else
		{
			return false;	
		}
	}
	
	public function getPaymentObject()
	{
		if($this->bluedartKey!='')
		{
			if (class_exists($this->bluedartKey)) {
    			return new $this->bluedartKey();
			}
		}
		else
		{
			return false;	
		}
	}
}
